Subject: previously working system config fails to build

From: Jesse Gibbons <[email-masked]>
Date: Thu, 29 Aug 2019 21:32:49 -0600

I try to run guix system reconfigure and get this error:

guix system: error: #<<uuid> type: dce bv: #vu8(51 12 55 214 249 221 79
112 186 51 233 64 103 99 34 57)>: invalid G-expression input

Here's the minimum of what I feed it to replicate the error (comments
and non-essentials removed):

(use-modules (gnu) (gnu system nss))
(use-service-modules desktop pm virtualization networking cups sound)
(use-package-modules certs gnome guile-xyz)

(define pureos-root "330c37d6-f9dd-4f70-ba33-e94067632239")
(define swap-uuid "049a0350-bcce-4920-9816-5fd4ee3c0de1")

(define (other-partition entry-label vmlinuz-version root-uuid resume-
uuid)
  (menu-entry
   (label "pureos")
   (linux (string-concatenate `("/boot/vmlinuz-" ,vmlinuz-version)))
   (linux-arguments
    `(,(string-concatenate `("root=UUID=" ,root-uuid))
      "ro" "quiet" "splash"
      ,(string-concatenate `("resume=UUID=" ,resume-uuid))))
   (initrd (string-concatenate `("/boot/initrd.img-" ,vmlinuz-
version)))
   (device (uuid root-uuid))))

(operating-system
 (host-name "piranhaplant")
 (timezone "America/Boise")
 (locale "en_US.utf8")
 (bootloader (bootloader-configuration
              (bootloader grub-bootloader)
              (target "/dev/sda") ;include my usual OS
              (menu-entries
	       (list
		(other-partition
                 "pureos"
                 "4.19.0-2-amd64"
                 pureos-root
                 swap-uuid)))))

 (file-systems (cons (file-system
                      (device (file-system-label "my-root"))
 		      (mount-point "/")
 		      (type "ext4"))
                     %base-file-systems))

 )

====================
Please forgive the ugly formatting and quasiquote/unquote abuse. I was
beginning to understand scheme when I wrote the .

It breaks when I add (file-system ...) which is identical to what's in
the manual. I think it might have something to do with the bootloader,
but I don't know what. Where is a G-expression expected?